net.sf.jasperreports.components.table.fill

## Class TableReportGroup

- java.lang.Object
- - net.sf.jasperreports.components.table.fill.TableReportGroup

- All Implemented Interfaces:
    java.lang.Cloneable, JRCloneable, JRGroup

      public class TableReportGroup
      extends java.lang.Object
      implements JRGroup

  Version:
    $Id: TableReportGroup.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableReportGroup(JRGroup datasetGroup)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRVariable` | `getCountVariable()`
    `JRExpression` | `getExpression()` Gets the expression that defines what records in the group have in common.
    `FooterPositionEnum` | `getFooterPositionValue()` Specifies how the group footer section behaves with regards to its position on the current page.
    `JRBand` | `getGroupFooter()` Deprecated.
    `JRSection` | `getGroupFooterSection()` Gets the footer section created for this group.
    `JRBand` | `getGroupHeader()` Deprecated.
    `JRSection` | `getGroupHeaderSection()` Gets the header section created for this group.
    `int` | `getMinHeightToStartNewPage()` Gets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.
    `java.lang.String` | `getName()` Gets the group name
    `JRGroup` | `getOriginalGroup()`
    `boolean` | `isKeepTogether()` Gets the flag that signals if the group should be prevented from splitting on first break attempt.
    `boolean` | `isReprintHeaderOnEachPage()` Gets the flag that signals if the group header should be reprinted at the beginning of each page.
    `boolean` | `isResetPageNumber()` Gets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.
    `boolean` | `isStartNewColumn()` Gets the flag that signals if the group header should be printed always on a new column.
    `boolean` | `isStartNewPage()` Gets the flag that signals if the group header should be printed always on a new page.
    `void` | `setFooterPosition(FooterPositionEnum footerPosition)` Specifies the group footer section behavior with regards to its position on the current page.
    `void` | `setGroupFooter(JRBand footer)`
    `void` | `setGroupHeader(JRBand header)`
    `void` | `setKeepTogether(boolean keepTogether)` Sets the flag that signals if the group should be prevented from splitting on first break attempt.
    `void` | `setMinHeightToStartNewPage(int minHeight)` Sets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.
    `void` | `setReprintHeaderOnEachPage(boolean isReprint)` Sets the flag that signals if the group header should be reprinted at the beginning of each page.
    `void` | `setResetPageNumber(boolean isReset)` Sets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.
    `void` | `setStartNewColumn(boolean isStart)` Sets the flag that signals if the group header should be printed always on a new column.
    `void` | `setStartNewPage(boolean isStart)` Sets the flag that signals if the group header should be printed always on a new page.
    `protected JRSection` | `wrapBand(JRBand band, BandTypeEnum bandType)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableReportGroup

          public TableReportGroup(JRGroup datasetGroup)

  - ### Method Detail

    - #### getCountVariable

          public JRVariable getCountVariable()

      Specified by:
        `getCountVariable` in interface `JRGroup`

    - #### getExpression

          public JRExpression getExpression()

      Description copied from interface: `JRGroup`
      Gets the expression that defines what records in the group have in common.
      Specified by:
        `getExpression` in interface `JRGroup`

    - #### getFooterPositionValue

          public FooterPositionEnum getFooterPositionValue()

      Description copied from interface: `JRGroup`
      Specifies how the group footer section behaves with regards to its position on the current page.
      Specified by:
        `getFooterPositionValue` in interface `JRGroup`

    - #### getGroupFooter

          @Deprecated
          public JRBand getGroupFooter()

      Deprecated.

    - #### setGroupFooter

          public void setGroupFooter(JRBand footer)

    - #### wrapBand

          protected JRSection wrapBand(JRBand band,
                           BandTypeEnum bandType)

    - #### getGroupFooterSection

          public JRSection getGroupFooterSection()

      Description copied from interface: `JRGroup`
      Gets the footer section created for this group.
      Specified by:
        `getGroupFooterSection` in interface `JRGroup`

    - #### getGroupHeader

          @Deprecated
          public JRBand getGroupHeader()

      Deprecated.

    - #### setGroupHeader

          public void setGroupHeader(JRBand header)

    - #### getGroupHeaderSection

          public JRSection getGroupHeaderSection()

      Description copied from interface: `JRGroup`
      Gets the header section created for this group.
      Specified by:
        `getGroupHeaderSection` in interface `JRGroup`

    - #### getMinHeightToStartNewPage

          public int getMinHeightToStartNewPage()

      Description copied from interface: `JRGroup`
      Gets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.
      Specified by:
        `getMinHeightToStartNewPage` in interface `JRGroup`

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `JRGroup`
      Gets the group name
      Specified by:
        `getName` in interface `JRGroup`

    - #### isKeepTogether

          public boolean isKeepTogether()

      Description copied from interface: `JRGroup`
      Gets the flag that signals if the group should be prevented from splitting on first break attempt.
      Specified by:
        `isKeepTogether` in interface `JRGroup`

    - #### isReprintHeaderOnEachPage

          public boolean isReprintHeaderOnEachPage()

      Description copied from interface: `JRGroup`
      Gets the flag that signals if the group header should be reprinted at the beginning of each page.
      Specified by:
        `isReprintHeaderOnEachPage` in interface `JRGroup`

    - #### isResetPageNumber

          public boolean isResetPageNumber()

      Description copied from interface: `JRGroup`
      Gets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.
      Specified by:
        `isResetPageNumber` in interface `JRGroup`

    - #### isStartNewColumn

          public boolean isStartNewColumn()

      Description copied from interface: `JRGroup`
      Gets the flag that signals if the group header should be printed always on a new column.
      Specified by:
        `isStartNewColumn` in interface `JRGroup`

    - #### isStartNewPage

          public boolean isStartNewPage()

      Description copied from interface: `JRGroup`
      Gets the flag that signals if the group header should be printed always on a new page.
      Specified by:
        `isStartNewPage` in interface `JRGroup`

    - #### setFooterPosition

          public void setFooterPosition(FooterPositionEnum footerPosition)

      Description copied from interface: `JRGroup`
      Specifies the group footer section behavior with regards to its position on the current page.
      Specified by:
        `setFooterPosition` in interface `JRGroup`

    - #### setKeepTogether

          public void setKeepTogether(boolean keepTogether)

      Description copied from interface: `JRGroup`
      Sets the flag that signals if the group should be prevented from splitting on first break attempt.
      Specified by:
        `setKeepTogether` in interface `JRGroup`

    - #### setMinHeightToStartNewPage

          public void setMinHeightToStartNewPage(int minHeight)

      Description copied from interface: `JRGroup`
      Sets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.
      Specified by:
        `setMinHeightToStartNewPage` in interface `JRGroup`

    - #### setReprintHeaderOnEachPage

          public void setReprintHeaderOnEachPage(boolean isReprint)

      Description copied from interface: `JRGroup`
      Sets the flag that signals if the group header should be reprinted at the beginning of each page.
      Specified by:
        `setReprintHeaderOnEachPage` in interface `JRGroup`

    - #### setResetPageNumber

          public void setResetPageNumber(boolean isReset)

      Description copied from interface: `JRGroup`
      Sets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.
      Specified by:
        `setResetPageNumber` in interface `JRGroup`

    - #### setStartNewColumn

          public void setStartNewColumn(boolean isStart)

      Description copied from interface: `JRGroup`
      Sets the flag that signals if the group header should be printed always on a new column.
      Specified by:
        `setStartNewColumn` in interface `JRGroup`

    - #### setStartNewPage

          public void setStartNewPage(boolean isStart)

      Description copied from interface: `JRGroup`
      Sets the flag that signals if the group header should be printed always on a new page.
      Specified by:
        `setStartNewPage` in interface `JRGroup`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getOriginalGroup

          public JRGroup getOriginalGroup()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com